%define	pkgname	multi_json
Summary:	A gem to provide swappable JSON backends
Name:		ruby-%{pkgname}
Version:	1.10.1
Release:	3
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	2c7f05f155e936a9f95caa84b9e023c9
URL:		http://github.com/intridea/multi_json
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Requires:	ruby-rubygems >= 1.3.6
# http://rubygems.org/gems/gson
#Suggests:	ruby-gson
# http://rubygems.org/gems/json
#Suggests:	ruby-json
# http://rubygems.org/gems/oj
#Suggests:	ruby-oj
Suggests:	ruby-yajl
# https://fedorahosted.org/fpc/ticket/113
Provides:	bundled(okjson) = 20110719
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A gem to provide easy switching between different JSON backends,
including Oj, Yajl, the JSON gem (with C-extensions), the pure-Ruby
JSON gem, and OkJson.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/cache.ri
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md CONTRIBUTING.md LICENSE.md
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/MultiJson
%changelog
* Tue Sep 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-multi_json.git;a=log;h=master

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> 6cdbb26
- rebuild without versioned ruby abi dep
- release 3 (by relup.sh)

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> 2e73ba4
- rebuild with gemspec provides

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 92788c6
- up to 1.10.1

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 2f00add
- package doc

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 396e111
- suggests of the backends

* Sun May 05 2013 Elan Ruusamäe <glen@delfi.ee> 521da5e
- new, version 1.7.1

